Subject: Re: [PATCH net] vxlan: revert per-vxlan port

From: Sridhar Samudrala <[email-masked]>
Date: Mon, 20 May 2013 16:59:44 -0700

On 5/20/2013 11:30 AM, Stephen Hemminger wrote:
> On Mon, 20 May 2013 14:15:59 -0400
> David Stevens <[email-masked]> wrote:
>
>>> From: Stephen Hemminger <[email-masked]>
>>   
>>> \This commit 823aa873bc782f1c51b1ce8ec6da7cfcaf93836e
>>> Author: stephen hemminger <[email-masked]>
>>> Date:   Sat Apr 27 11:31:57 2013 +0000
>>>
>>>      vxlan: allow choosing destination port per vxlan
>>>
>>> is broken revert it. The change allowed setting per port for transmit
>>> but did not add additional listening sockets, which made any vxlan's
>>> defined with non-default port send only.
>> This allows you to specify a different default port for
>> transmits, which is what you want to do if your own instance
>> of VXLAN is the odd one. I don't see any requirement for multiple
>> listen ports for that to be useful, since those sending to you
>> can have complete fdb tables even if the local instance doesn't
>> and relies on the default. Not to mention using an agent to
>> fill the fdb triggered by packets sent to the default, so the
>> receiver is not necessarily even a VXLAN instance. The receiver
>> side and transmit side ports can be completely independent of
>> each other, as in any other client-server system.
> Vxlan's are a weird beast. They can be viewed as either bridge like
> entities or tunnel like entities. I view them more as bridge type
> devices where user configures two hosts with equivalent values and
> they learn about each other. In that case the code in 3.10 is broken;
> but the version with the learning in net-next works.
>
> Your view is that VXLAN's are more like tunnels, where each host
> has static entries to know about every other host. In that mode,
> 3.10 is useable, but the same effect can be had by defining static
> neighbour entries.

how can we send to a different dst port using static neighbor entries?

Thanks
Sridhar